package com.tappli.android.externalstoragesample;

import android.app.Activity;
import android.os.Bundle;
import android.os.Environment;
import android.widget.TextView;

public class MainActivity extends Activity {
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		TextView textView = null;
		
		textView = (TextView) findViewById(R.id.api);
		textView.setText(getExternalStorageFromApi());
		
		textView = (TextView) findViewById(R.id.env);
		textView.setText(getExternalStorageFromEnv());
	}
	
	/** APIを使ってSDカードのパスを取得 */
	private String getExternalStorageFromApi() {
		return Environment.getExternalStorageDirectory().getPath();
	}
	
	/** 環境変数からSDカードのパスを取得 */
	private String getExternalStorageFromEnv() {
		return  System.getenv("EXTERNAL_STORAGE");
	}
}